Subject: Re: TMM (too many mnemonics)

From: "Scott Rose" <[email-masked]>
Date: Mon, 26 Jan 2004 15:02:56 +0000 (UTC)

My guess is the mnemonics were dropped without thinking.  No one really uses
them, since tools are used to generated, parse, and sign the DNSSEC RRs.  No
one thought about using mnemonics when numbers worked for machines.

Scott
----- Original Message ----- 
From: "Samuel Weiler" <[email-masked]>
>
> For the algorithm field, I'd like for DS, RRSIG, and DNSKEY to be
> consistent.  Having spent some time arguing about algorithm mnemonics
> for the TCR document, I have a bit of a personal attachment to them,
> and I'd like to see them stay.  If someone would be so kind as to dig
> through the DS discussion from ages past and see why mnemonics were
> dropped, that might be useful to us now.
>
> --- Sam
>
> > RFC2535 allows numbers or mnemonics for the flags and protocol fields
> > in the KEY RR presentation format, but -records drops that for DNSKEY
> > and requires numbers.  Was that intentional?
> >
> > -records also allows algorithm mnemonics in the DS presentation
> > format, but RFC3658 only allows numbers (for both the algorithm and
> > digest type fields).  Again, was that intentional?
> >
> > To summarize:
> >
> > Field               Allowed presentation formats   Different?
> >                     -records   RFC2535  RFC3658
> > (DNS)KEY algorithm   either    either
> > (DNS)KEY flags       number    either                X
> > (DNS)KEY protocol    number    either                X
> > DS algorithm         either             number       X
> > DS digest            number             number
> > SIG algorithm        either    either
>
> --
> to unsubscribe send a message to [email-masked] with
> the word 'unsubscribe' in a single line as the message text body.
> archive: <http://ops.ietf.org/lists/namedroppers/>
>

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>